## com.bbn.openmap.tools.symbology.milStd2525
Class CodeCategory

    java.lang.Object
      com.bbn.openmap.tools.symbology.milStd2525.CodePosition
          com.bbn.openmap.tools.symbology.milStd2525.CodeCategory

public class CodeCategory
extends CodePosition

The CodeCategory CodePosition is used by Tactical Graphics to note the types of activities that a symbol represents - tasks, general maneuvers, support. The CodeCategory is represented by the third position of the symbol code of tactical graphic symbols.

Field Summary

Fields inherited from class com.bbn.openmap.tools.symbology.milStd2525.CodePosition
`choices, DEBUG, endIndex, hierarchyNumber, id, NameProperty, nextPosition, NextProperty, NO_CHAR, NO_NUMBER, prettyName, startIndex, symbolPart`

Constructor Summary
`CodeCategory()`

Methods inherited from class com.bbn.openmap.tools.symbology.milStd2525.CodePosition
`addPositionChoice, addPositionChoice, codeMatches, getEndIndex, getFromChoices, getHierarchyNumber, getHierarchyNumberString, getID, getNextPosition, getNULLCodePosition, getPositionChoices, getPrettyName, getStartIndex, getSymbolPart, parseHierarchy, parsePositions, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CodeCategory

    public CodeCategory()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details